Skip to main content
PUT
Update Employee Job Details

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization_id
required
employee_id
required

Body

application/json

Schema for job-related data of a German employee. Supports both standalone and integrated requests.

employment_country
string
default:DE
Allowed value: "DE"
job_type
enum<string> | null

EN: Employment type | DE: Beschäftigungsart

Available options:
Full Time Indefinite Term,
Full Time Fixed Term,
Part Time Indefinite Term,
Part Time Fixed Term
employment_status
enum<string> | null

EN: Employee type | DE: Mitarbeitertyp

Available options:
Employee,
Mini Jobber,
Midi Jobber,
Apprentice,
Intern,
Werkstudent,
Temporary Worker
is_seasonal_worker
boolean | null
default:false

EN: Is seasonal worker? | DE: Ist Saisonarbeitnehmer?

job_title
string | null

EN: Job title | DE: Berufsbezeichnung

job_description
string | null

EN: Job description | DE: Stellenbeschreibung

school_education
enum<string> | null

EN: School education | DE: Höchster allgemeinbildender Schulabschluss

Available options:
Ohne Schulabschluss,
Haupt-/Volksschulabschluss,
Mittlere Reife oder gleichwertiger Abschluss,
Abitur / Fachabitur,
Abschluss unbekannt
professional_education
enum<string> | null

EN: Professional education | DE:Höchster berufsbildender Ausbildungsabschluss

Available options:
Ohne beruflichen Ausbildungsabschluss,
Abschluss einer anerkannten Berufsausbildung,
Meister-/Techniker- oder gleichwertiger Fachschulabschluss,
Bachelor,
Diplom/Magister/Master/Staatsexamen,
Promotion,
Abschluss unbekannt
occupation_code
string | null

EN: Occupation code | DE: Tätigkeitsschlüssel

contracted_weekly_hours
integer | null
default:40

EN: Contracted weekly hours | DE: Vertraglich vereinbarte Wochenstunden

contracted_weekdays
enum<string>[] | null

EN: Contracted weekdays | DE: Vertraglich vereinbarte Wochentage

Days of the week.

Available options:
Monday,
Tuesday,
Wednesday,
Thursday,
Friday,
Saturday,
Sunday
contracted_to_other_company
boolean
default:false

EN: Contracted to another company | DE: Vertrag mit anderem

worksite_id

EN: Work location | DE: Arbeitsort

department
string | null

EN: Department | DE: Abteilung

other_jobs
MultipleJobDetails · object[] | null

EN: Other jobs | DE: Andere Beschäftigungen

valid_from
string<date>

EN: Valid from date | DE: Gültig ab Datum

valid_to
string<date> | null

EN: Valid to date | DE: Gültig bis Datum

Response

Successful Response

Response model for job details with metadata fields.

employee_id
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
id
required
employment_country
string
default:DE
Allowed value: "DE"
job_type
enum<string> | null

Employment types recognized in Germany.

Available options:
Full Time Indefinite Term,
Full Time Fixed Term,
Part Time Indefinite Term,
Part Time Fixed Term
employment_status
enum<string> | null

Employee types recognized in Germany.

Available options:
Employee,
Mini Jobber,
Midi Jobber,
Apprentice,
Intern,
Werkstudent,
Temporary Worker
is_seasonal_worker
boolean | null
job_title
string | null
job_description
string | null
school_education
enum<string> | null

Highest school education completed. 6th digit in Tagesschlüssel.

Available options:
Ohne Schulabschluss,
Haupt-/Volksschulabschluss,
Mittlere Reife oder gleichwertiger Abschluss,
Abitur / Fachabitur,
Abschluss unbekannt
professional_education
enum<string> | null

Highest vocational education completed. 7th digit in Tagesschlüssel.

Available options:
Ohne beruflichen Ausbildungsabschluss,
Abschluss einer anerkannten Berufsausbildung,
Meister-/Techniker- oder gleichwertiger Fachschulabschluss,
Bachelor,
Diplom/Magister/Master/Staatsexamen,
Promotion,
Abschluss unbekannt
occupation_code
string | null
contracted_weekly_hours
integer | null
default:40
contracted_weekdays
enum<string>[] | null

Days of the week.

Available options:
Monday,
Tuesday,
Wednesday,
Thursday,
Friday,
Saturday,
Sunday
contracted_to_other_company
boolean
default:false

EN: Contracted to another company | DE: Vertrag mit anderem

worksite_id
string | null
department
string | null
other_jobs
MultipleJobDetails · object[] | null
valid_from
string<date>

EN: Valid from date | DE: Gültig ab Datum

valid_to
string<date> | null

EN: Valid to date | DE: Gültig bis Datum